GuideLab API

Grant lab access to a patient

Grant a specific lab explicit access to a patient record. The lab must have an active partnership with the clinic. Clinic only - the patient must belong to the current clinic. Idempotent - granting access twice is a no-op.

POST
/patients/{id}/lab-access

Grant a specific lab explicit access to a patient record. The lab must have an active partnership with the clinic. Clinic only - the patient must belong to the current clinic. Idempotent - granting access twice is a no-op.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Patient ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/patients/550e8400-e29b-41d4-a716-446655440000/lab-access" \  -H "Content-Type: application/json" \  -d '{    "labId": "string"  }'
{  "success": true}
Empty
Empty
Empty
Empty
Empty